Penning Trap Simulation Simulate particle behavior inside a Penning Trap

Loading...
Searching...
No Matches
Classes | Typedefs
typedefs.hpp File Reference

Useful typedefs for cleaner code. More...

`#include <armadillo>`
`#include <vector>`

Go to the source code of this file.

## Classes
struct | simulation
| Typedef for PenningTrap::simulation return value. More...

## Typedefs
typedef arma::vec::fixed< 3 > | vec3
| Typedef for a fixed 3d arma vector.
typedef std::vector< vec3 > | sim_cols
| Typedef for the column of the result vector from simulating particles.
typedef std::vector< vec3 > | sim_rows
| Typedef for the row of the result vector from simulating particles.
typedef std::vector< sim_cols > | sim_arr
| Typedef for the result of the simulate method.
typedef struct simulation | simulation_t
| Typedef for PenningTrap::simulation return value.

## Detailed Description

Useful typedefs for cleaner code.

Author
  Cory Alexander Balaton (coryab)
  Janita Ovidie Sandtrøen Willumsen (janitaws)

Version
  1.0

These typedefs make the code more readable and easy to follow along.

Bug:
  No known bugs

Definition in file typedefs.hpp.

## Typedef Documentation

## ◆ sim_arr

typedef std::vector<sim_cols> sim_arr

Typedef for the result of the simulate method.

Definition at line 36 of file typedefs.hpp.

## ◆ sim_cols

typedef std::vector<vec3> sim_cols

Typedef for the column of the result vector from simulating particles.

Definition at line 28 of file typedefs.hpp.

## ◆ sim_rows

typedef std::vector<vec3> sim_rows

Typedef for the row of the result vector from simulating particles.

Definition at line 32 of file typedefs.hpp.

## ◆ vec3

typedef arma::vec::fixed<3> vec3

Typedef for a fixed 3d arma vector.

Definition at line 23 of file typedefs.hpp.